> ## Documentation Index
> Fetch the complete documentation index at: https://secdocs.asikoexpress.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get full invoice details by order ID



## OpenAPI

````yaml /openapi/order-service.json get /v1/invoices/order/{orderId}
openapi: 3.0.0
info:
  title: Asiko Order Service
  description: Cart, checkout, order lifecycle
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: orders
    description: ''
  - name: cart
    description: ''
paths:
  /v1/invoices/order/{orderId}:
    get:
      tags:
        - invoices
      summary: Get full invoice details by order ID
      operationId: InvoicesController_getByOrderId
      parameters:
        - name: orderId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceDetailResponseDto'
      security:
        - bearer: []
components:
  schemas:
    InvoiceDetailResponseDto:
      type: object
      properties:
        invoiceNo:
          type: string
        orderNo:
          type: string
        invoiceDate:
          type: string
        paymentTerms:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - PARTIALLY_PAID
            - PAID
            - CANCELLED
        dueDate:
          type: string
        billedTo:
          $ref: '#/components/schemas/InvoiceBilledToDto'
        items:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceLineItemDto'
        subtotalAmount:
          type: number
        discountAmount:
          type: number
          description: Taken off the subtotal by the order's discount
        deliveryFee:
          type: number
        totalAmount:
          type: number
        amountPaid:
          type: number
        amountDue:
          type: number
        payments:
          type: array
          items:
            $ref: '#/components/schemas/InvoicePaymentDto'
      required:
        - invoiceNo
        - orderNo
        - invoiceDate
        - paymentTerms
        - status
        - dueDate
        - billedTo
        - items
        - subtotalAmount
        - discountAmount
        - deliveryFee
        - totalAmount
        - amountPaid
        - amountDue
        - payments
    InvoiceBilledToDto:
      type: object
      properties:
        businessName:
          type: string
        address:
          type: string
        contactFullName:
          type: string
        contactPhone:
          type: string
        contactEmail:
          type: string
      required:
        - businessName
        - address
        - contactFullName
        - contactPhone
        - contactEmail
    InvoiceLineItemDto:
      type: object
      properties:
        productName:
          type: string
        size:
          type: string
          nullable: true
        quantity:
          type: number
        price:
          type: number
        total:
          type: number
      required:
        - productName
        - size
        - quantity
        - price
        - total
    InvoicePaymentDto:
      type: object
      properties:
        id:
          type: string
        amount:
          type: number
        note:
          type: string
          nullable: true
        recordedByAdminId:
          type: string
        createdAt:
          type: string
      required:
        - id
        - amount
        - note
        - recordedByAdminId
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.